#ifndef LIBIPSET_H
#define LIBIPSET_H

#include "common.h"
#include <libipset/ipset.h>
#include <stdio.h>
#include <stdarg.h>
#include <arpa/inet.h> // 包含 inet_pton 函数

#define BUFFER 1024
#define MAX_CMD_LENGTH 256  // 或者根据需要调整

extern int create_ipset( char *set_name);
extern int add_ip_to_ipset(char *set_name, char *ip);
extern int get_ip_count_in_ipset(char *set_name);

#endif
